curl_multi_getcontent
curl_multi_init
cURL Functions
PHP Manual

# curl_multi_info_read

(PHP 5)

curl_multi_info_read — Get information about the current transfers

### Description

array curl_multi_info_read ( resource `$mh` [, int `$msgs_in_queue` ] )

Ask the multi handle if there are any messages/informationals from the individual transfers. Messages may include informationals such as an error code from the transfer or just the fact that a transfer is completed.

Repeated calls to this function will return a new result each time, until a `FALSE` is returned as a signal that there is no more to get at this point. The integer pointed to with `msgs_in_queue` will contain the number of remaining messages after this function was called.

Warning

The data the returned resource points to will not survive calling curl_multi_remove_handle().

### Parameters

`mh`

  A cURL multi handle returned by curl_multi_init().

`msgs_in_queue`

  Number of messages that are still in the queue

### Return Values

On success, returns an associative array for the message, `FALSE` on failure.

### ChangeLog

Version | Description
--- | ---
5.2.0 | `msgs_in_queue` was added.

### See Also

- curl_multi_init()

curl_multi_getcontent
curl_multi_init
cURL Functions
PHP Manual